Index: tmp/org.txm.lexicaltable.core/src/org/txm/lexicaltable/core/functions/LexicalTable.java
===================================================================
--- tmp/org.txm.lexicaltable.core/src/org/txm/lexicaltable/core/functions/LexicalTable.java	(revision 1397)
+++ tmp/org.txm.lexicaltable.core/src/org/txm/lexicaltable/core/functions/LexicalTable.java	(revision 1398)
@@ -22,10 +22,8 @@
 import org.txm.searchengine.cqp.corpus.CQPCorpus;
 import org.txm.searchengine.cqp.corpus.CQPLexicon;
 import org.txm.searchengine.cqp.corpus.Partition;
-import org.txm.searchengine.cqp.corpus.Property;
 import org.txm.searchengine.cqp.corpus.Subcorpus;
 import org.txm.searchengine.cqp.corpus.WordProperty;
-import org.txm.statsengine.core.StatException;
 import org.txm.statsengine.core.data.Vector;
 import org.txm.statsengine.r.core.RWorkspace;
 import org.txm.statsengine.r.core.exceptions.RWorkspaceException;
@@ -37,7 +35,6 @@
  * @author mdecorde
  * @author sjacquot
  * 
- *
  */
 public class LexicalTable extends TXMResult {
 
Index: tmp/org.txm.progression.rcp/plugin.xml
===================================================================
--- tmp/org.txm.progression.rcp/plugin.xml	(revision 1397)
+++ tmp/org.txm.progression.rcp/plugin.xml	(revision 1398)
@@ -102,7 +102,7 @@
          </command>
       </menuContribution>
       <menuContribution
-            locationURI="popup:org.txm.index.rcp.editors.DictionnaryEditor">
+            locationURI="popup:org.txm.index.rcp.editors.LexiconEditor">
          <command
                commandId="org.txm.progression.rcp.handlers.ComputeProgression"
                icon="icons/functions/progression.png"
Index: tmp/org.txm.cooccurrence.rcp/plugin.xml
===================================================================
--- tmp/org.txm.cooccurrence.rcp/plugin.xml	(revision 1397)
+++ tmp/org.txm.cooccurrence.rcp/plugin.xml	(revision 1398)
@@ -114,7 +114,7 @@
          </command>
       </menuContribution>
       <menuContribution
-            locationURI="popup:org.txm.index.rcp.editors.DictionnaryEditor">
+            locationURI="popup:org.txm.index.rcp.editors.LexiconEditor">
          <command
                commandId="org.txm.cooccurrence.rcp.handlers.ComputeCooccurrences"
                icon="icons/cooccurrences.png"
Index: tmp/org.txm.index.core/src/org/txm/index/core/functions/___Lexicon2.java
===================================================================
--- tmp/org.txm.index.core/src/org/txm/index/core/functions/___Lexicon2.java	(revision 1397)
+++ tmp/org.txm.index.core/src/org/txm/index/core/functions/___Lexicon2.java	(revision 1398)
@@ -169,7 +169,7 @@
 	}
 
 	@Override
-	protected boolean _compute() throws Exception {
+	protected boolean _computeLines() throws Exception {
 		if (this.getParent() instanceof MainCorpus) {
 			return computeWithMainCorpus((MainCorpus)this.getParent(), pProperty, monitor);
 		}
Index: tmp/org.txm.index.core/src/org/txm/index/core/functions/Lexicon.java
===================================================================
--- tmp/org.txm.index.core/src/org/txm/index/core/functions/Lexicon.java	(revision 1397)
+++ tmp/org.txm.index.core/src/org/txm/index/core/functions/Lexicon.java	(revision 1398)
@@ -62,7 +62,7 @@
 	}
 	
 	@Override
-	protected boolean _compute() {
+	protected boolean _computeLines() {
 		try {
 
 			//			this.query = new Query("[]"); //$NON-NLS-1$
@@ -104,6 +104,7 @@
 					}
 				}
 			}
+			
 		} catch (Exception e) {
 			System.out.println(TXMCoreMessages.bind(TXMCoreMessages.errorColonP0, e.getLocalizedMessage()));
 			Log.printStackTrace(e);
Index: tmp/org.txm.index.core/src/org/txm/index/core/functions/Index.java
===================================================================
--- tmp/org.txm.index.core/src/org/txm/index/core/functions/Index.java	(revision 1397)
+++ tmp/org.txm.index.core/src/org/txm/index/core/functions/Index.java	(revision 1398)
@@ -159,7 +159,7 @@
 
 
 	@Override
-	protected boolean _compute() throws Exception {
+	protected final boolean _compute() throws Exception {
 
 		// reset all stored data
 		if (lines != null) {
@@ -173,20 +173,8 @@
 		// It works but the problem is the cut() method that really cut the lines rather than doing getLines() that could filtering and returns only the lines between fmin/fmax
 		//		if(this.hasParameterChanged(TXMPreferences.QUERY) || this.hasParameterChanged(TXMPreferences.UNIT_PROPERTIES))	{
 
-		if (parent instanceof CQPCorpus) {
-
-			if (!scanCorpus((CQPCorpus)parent)) {
-				lines = new ArrayList<Line>();
-				return false;
-			}
-
-			setLineCounts();
-
-			getAllLines();
-
-		}
-		else {
-			Log.severe("Error: Index parent is not a corpus.");
+		if (!_computeLines()) {
+			Log.severe("Error while computing lines. Aborting.");
 			return false;
 		}
 		//	}
@@ -208,7 +196,30 @@
 	}
 
 
+	/**
+	 * Extends this method to change the way the line are computed. the lines are sorted and filterd afterward 
+	 * @return true if the index lines hae been computed
+	 * @throws Exception
+	 */
+	protected boolean _computeLines() throws Exception {
+		if (parent instanceof CQPCorpus) {
 
+			if (!scanCorpus((CQPCorpus)parent)) {
+				lines = new ArrayList<Line>();
+				return false;
+			}
+
+			setLineCounts();
+
+			getAllLines();
+			return true;
+		}
+		else {
+			Log.severe("Error: Index parent is not a corpus.");
+			return false;
+		}
+	}
+
 	/**
 	 * Creates a CQL query string from the specified Index lines.
 	 *
Index: tmp/org.txm.concordance.rcp/plugin.xml
===================================================================
--- tmp/org.txm.concordance.rcp/plugin.xml	(revision 1397)
+++ tmp/org.txm.concordance.rcp/plugin.xml	(revision 1398)
@@ -121,7 +121,7 @@
          </command>
       </menuContribution>
       <menuContribution
-            locationURI="popup:org.txm.index.rcp.editors.DictionnaryEditor">
+            locationURI="popup:org.txm.index.rcp.editors.LexiconEditor">
          <command
                commandId="org.txm.concordance.rcp.handlers.ComputeConcordance"
                icon="icons/concordance.png"
Index: tmp/org.txm.index.rcp/plugin.xml
===================================================================
--- tmp/org.txm.index.rcp/plugin.xml	(revision 1397)
+++ tmp/org.txm.index.rcp/plugin.xml	(revision 1398)
@@ -131,7 +131,7 @@
          </command>
       </menuContribution>
                <menuContribution
-                     locationURI="popup:org.txm.index.rcp.editors.DictionnaryEditor">
+                     locationURI="popup:org.txm.index.rcp.editors.LexiconEditor">
                   <command
                         commandId="org.txm.index.rcp.handlers.ComputeIndex"
                         icon="icons/index.png"
